Package net.shibboleth.idp.plugin.authn.webauthn.impl

# Class ValidateWebAuthnAssertion.WebAuthnCleanupHook

java.lang.Object
net.shibboleth.idp.plugin.authn.webauthn.impl.ValidateWebAuthnAssertion.WebAuthnCleanupHook

All Implemented Interfaces:
  `Consumer<ProfileRequestContext>`

Enclosing class:
  ValidateWebAuthnAssertion

public static class ValidateWebAuthnAssertion.WebAuthnCleanupHook extends Object implements Consumer<ProfileRequestContext>
A default cleanup hook that removes the `WebAuthnAuthenticationContext` from the tree.

## Constructor Summary

Constructors
Constructor
Description
`WebAuthnCleanupHook()`

## Method Summary

Modifier and Type
Method
Description
`void`
`accept(ProfileRequestContext input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Consumer

`andThen`

## Constructor Details

### WebAuthnCleanupHook

public WebAuthnCleanupHook()

## Method Details

### accept

public void accept(ProfileRequestContext input)

Specified by:
  `accept` in interface `Consumer<ProfileRequestContext>`